Subject: Re: linux-next: Tree for Mar 31 (build failures and culprits)

From: Guenter Roeck <[email-masked]>
Date: Tue, 31 Mar 2015 19:24:32 -0700

On 03/31/2015 04:42 PM, Stephen Rothwell wrote:
> Hi Greg,
>
> On Wed, 1 Apr 2015 01:07:49 +0200 Greg Kroah-Hartman <[email-masked]> wrote:
>>
>> On Tue, Mar 31, 2015 at 09:16:40AM -0700, Guenter Roeck wrote:
>>>
>>> alpha:allmodconfig
>>> mips:allmodconfig
>>>
>>> samples/kdbus/kdbus-workers.c: In function ‘prime_new’:
>>> samples/kdbus/kdbus-workers.c:930:18: error: ‘__NR_memfd_create’ undeclared
>>> (first use in this function)
>>>    p->fd = syscall(__NR_memfd_create, "prime-area", MFD_CLOEXEC);
>>>
>>> Looks like the kdbus example never worked for the affected architectures.
>>> I don't build allmodconfig for all architectures, so other architectures
>>> may be affected as well.
>>
>> You need 3.17 kernel headers to have memfd_create, not much the kdbus
>> test code can do about that.  You might want to update the kernel
>> headers for these build boxes.
>>
>> Or have we not hooked up memfd for alpha and mips?
>
> alpha has no definition for __NR_memfd_create and doesn't use
> asm-generic/unistd.h.
>
> mips has a definition for __NR_memfd_create if _MIPS_SIM ==
> _MIPS_SIM_ABI32, _MIPS_SIM_ABI64 or _MIPS_SIM_NABI32 (is there any
> other alternative?).
>

Guess you are saying that those examples won't build even with a
newer toolchain. Good that I already decided not to re-build my
toolchains ;-).

Now I am left with the question if the samples build should be
masked for alpha and mips, or if I should drop building samples
from my 'allmodconfig' builds. I think I'll do the latter;
there seems to be an expectation that samples are built with
a recent toolchain, and I can not keep rebuilding toolchains for
the rest of my life.

Guenter